Debian Bug report logs - #706273
ITP: bfgminer -- FPGA/GPU bitcoin miner featuring overclocking, monitoring, fan speed control and remote interface capabilities

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Scott Howard <showard@debian.org>

Date: Sat, 27 Apr 2013 15:09:02 UTC

Owned by: Dmitry Smirnov <onlyjob@debian.org>

Severity: wishlist

Fixed in version bfgminer/3.6.0-1

Done: Dmitry Smirnov <onlyjob@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, showard@debian.org, wnpp@debian.org:
Bug#706273; Package wnpp. (Sat, 27 Apr 2013 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
New Bug report received and forwarded. Copy sent to showard@debian.org, wnpp@debian.org. (Sat, 27 Apr 2013 15:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: bfgminer -- FPGA/GPU bitcoin miner featuring overclocking, monitoring, fan speed control and remote interface capabilities
Date: Sat, 27 Apr 2013 11:05:17 -0400
Package: wnpp
Severity: wishlist

* Package name    : bfgminer
  Version         : 3.0.1
  Upstream Author : Luke-Jr luke@dashjr.org
* URL             : https://github.com/luke-jr/bfgminer
* License         : GPL-v3
  Programming Lang: C
  Description     : FPGA/GPU bitcoin miner featuring overclocking, monitoring,
fan speed control and remote interface capabilities



Added blocking bug(s) of 706273: 706272 Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Sat, 27 Apr 2013 15:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706273; Package wnpp. (Sat, 25 May 2013 23:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 25 May 2013 23:33:08 GMT) Full text and rfc822 format available.

Message #12 received at 706273@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: pkg-bitcoin-devel@lists.alioth.debian.org
Cc: "Luke-Jr" <luke@dashjr.org>, 706273@bugs.debian.org
Subject: Re: bfgminer -- draft packaging
Date: Sun, 26 May 2013 09:31:42 +1000
On Thu, 23 May 2013 13:06:43 Luke-Jr wrote:
> Could you make your draft packaging available so I can experiment some more on 
> my end in the meantime?

Draft packaging is committed to 

    http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git

Cheers,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

We occasionally stumble over the truth but most of us pick ourselves up
and hurry off as if nothing had happened.
        -- Winston Churchill




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706273; Package wnpp. (Sun, 26 May 2013 01:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Luke-Jr" <luke@dashjr.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 26 May 2013 01:12:09 GMT) Full text and rfc822 format available.

Message #17 received at 706273@bugs.debian.org (full text, mbox):

From: "Luke-Jr" <luke@dashjr.org>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: pkg-bitcoin-devel@lists.alioth.debian.org, 706273@bugs.debian.org
Subject: Re: bfgminer -- draft packaging
Date: Sun, 26 May 2013 01:02:01 +0000
On Saturday, May 25, 2013 11:31:42 PM Dmitry Smirnov wrote:
> On Thu, 23 May 2013 13:06:43 Luke-Jr wrote:
> > Could you make your draft packaging available so I can experiment some
> > more on my end in the meantime?
> 
> Draft packaging is committed to
> 
>     http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git

- There should be no build-depends for OpenCL: BFGMiner includes the official 
headers from Khronos, and uses dlopen to avoid any link-time library 
dependency.
- The ADL SDK (commented in rules) is not needed or used at all for BFGMiner; 
instead, it includes minimal statement-of-fact headers (at least in the US 
jurisdiction, not eligible for copyright) I wrote to replace the non-free 
dependency. As the ADL library itself (linked with dlopen) is part of the OS 
when available, it should fall within the GPL's exception for that.
- I am aware of the Ztex copyright issue, have been working to resolve it, and 
expect to have it resolved prior to the next release (soon). Currently, this 
is waiting only on a license grant from one minor contributor (the original 
author and other contributors to the code in question are agreeable with 
GPL-3+ terms).
- Not familiar with what "libudev-dev [!kfreebsd-any]" does; does it block 
packaging on Debian GNU/kFreeBSD? Ideally non-Linux platforms would simply 
build without libudev, since it is optional. In fact, on systems with sysfs, I 
don't believe there is any benefit to building with libudev at all anymore - 
so perhaps it should just be disabled?

Luke



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706273; Package wnpp. (Wed, 29 May 2013 02:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 May 2013 02:24:04 GMT) Full text and rfc822 format available.

Message #22 received at 706273@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: "Luke-Jr" <luke@dashjr.org>
Cc: pkg-bitcoin-devel@lists.alioth.debian.org, 706273@bugs.debian.org
Subject: Re: bfgminer -- draft packaging
Date: Wed, 29 May 2013 12:21:30 +1000
On Sun, 26 May 2013 11:02:01 Luke-Jr wrote:
> On Saturday, May 25, 2013 11:31:42 PM Dmitry Smirnov wrote:
> > Draft packaging is committed to
> > 
> >     http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git
> 
> - There should be no build-depends for OpenCL: BFGMiner includes the official 
> headers from Khronos, and uses dlopen to avoid any link-time library 
> dependency.
> - The ADL SDK (commented in rules) is not needed or used at all for BFGMiner; 
> instead, it includes minimal statement-of-fact headers (at least in the US 
> jurisdiction, not eligible for copyright) I wrote to replace the non-free 
> dependency. As the ADL library itself (linked with dlopen) is part of the OS 
> when available, it should fall within the GPL's exception for that.

Thank you for your review. I committed corrections to above issues
that were inherited from "cgminer" packaging.


> - I am aware of the Ztex copyright issue, have been working to resolve it, and 
> expect to have it resolved prior to the next release (soon). Currently, this 
> is waiting only on a license grant from one minor contributor (the original 
> author and other contributors to the code in question are agreeable with 
> GPL-3+ terms).

Very well, I hope re-licensing will be successful. Thanks for taking
care of that.


> - Not familiar with what "libudev-dev [!kfreebsd-any]" does; does it block 
> packaging on Debian GNU/kFreeBSD? Ideally non-Linux platforms would simply 
> build without libudev, since it is optional.

This is exactly what "libudev-dev [!kfreebsd-any]" do: it pulls
"libudev-dev" on all architectures but kFreeBSD (where it is not
available) so package won't FTBFS due to missing Build-Dependency and
will build successfully on kFreeBSD without "libudev-dev" that is not
strictly required.

> In fact, on systems with sysfs, I don't believe there is any benefit
> to building with libudev at all anymore - so perhaps it should just
> be disabled?

I have no idea, sorry. This is beyond my level of competence so I have
no opinion on this.

Regards,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

The gods offer no rewards for intellect. There was never one yet that
showed any interest in it.
        -- Mark Twain, 1900




Changed Bug title to 'ITP: bfgminer -- FPGA/GPU bitcoin miner featuring overclocking, monitoring, fan speed control and remote interface capabilities' from 'RFP: bfgminer -- FPGA/GPU bitcoin miner featuring overclocking, monitoring, fan speed control and remote interface capabilities' Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 14:36:07 GMT) Full text and rfc822 format available.

Owner recorded as Dmitry Smirnov <onlyjob@debian.org>. Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 14:36:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@debian.org>:
You have taken responsibility. (Sat, 14 Dec 2013 18:03:22 GMT) Full text and rfc822 format available.

Notification sent to Scott Howard <showard@debian.org>:
Bug acknowledged by developer. (Sat, 14 Dec 2013 18:03:22 GMT) Full text and rfc822 format available.

Message #33 received at 706273-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: 706273-close@bugs.debian.org
Subject: Bug#706273: fixed in bfgminer 3.6.0-1
Date: Sat, 14 Dec 2013 18:00:06 +0000
Source: bfgminer
Source-Version: 3.6.0-1

We believe that the bug you reported is fixed in the latest version of
bfgminer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706273@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@debian.org> (supplier of updated bfgminer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 26 Nov 2013 01:32:36 +1100
Source: bfgminer
Binary: bfgminer
Architecture: source amd64
Version: 3.6.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Changed-By: Dmitry Smirnov <onlyjob@debian.org>
Description: 
 bfgminer   - multi-threaded multi-pool ASIC, FPGA, GPU and CPU bitcoin miner
Closes: 706273
Changes: 
 bfgminer (3.6.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #706273).
Checksums-Sha1: 
 b9189ed72528cb3eedb56d3046870f0722e764f6 2116 bfgminer_3.6.0-1.dsc
 c244cc20624b4e2d61ee6940a727c5b7512e7c8e 733327 bfgminer_3.6.0.orig.tar.gz
 f68fb2ea486df230a8fc21e03dd66f0e5762ed7c 9072 bfgminer_3.6.0-1.debian.tar.xz
 7c3d7c2851a2f083700926b9c2a9ca803d36ba4c 471738 bfgminer_3.6.0-1_amd64.deb
Checksums-Sha256: 
 444dde4ff1e862f04910feba40ee86b8aa41f448856a810b909fefb1dca31f39 2116 bfgminer_3.6.0-1.dsc
 756cee61d55c7a29085a060339b79bb73b9bd139f04108c990538c2f00c8147d 733327 bfgminer_3.6.0.orig.tar.gz
 bf2922bf63d15e9d6a75c19a54c9bc1844048ab3e9d50db81d6f8f98a0f5126d 9072 bfgminer_3.6.0-1.debian.tar.xz
 6814e71529a67fddaa0fb001e35b61948522891f9d7346510d29266f0d2cf69a 471738 bfgminer_3.6.0-1_amd64.deb
Files: 
 67e890a2d067a0dacf9d04d65ae215e5 2116 net optional bfgminer_3.6.0-1.dsc
 190af649a54d81e1afd02a32c3512713 733327 net optional bfgminer_3.6.0.orig.tar.gz
 59254c1c0d21107e9519481adc8b4420 9072 net optional bfgminer_3.6.0-1.debian.tar.xz
 816c210dd2a02f7b2ea600cb7fa4f642 471738 net optional bfgminer_3.6.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSk2XVAAoJEFK2u9lTlo0b59IQAIQazYjd02i77X4kf0DKPGjm
0tIEdEYuDXc7OJ6o1okQsLINdMMRPTLkJB9DS6HWm77qeDn9cXCFnqd3svf/CpeL
qpOyiHf+Ayi3r2p5jQlCH/vYTYl+4JgCXQmi0ZnRMb0kNZvTXUnD0KjPZrAUe+zD
odsu2LA77DiAC9NleL/yMHqRzUNMYFCskXxFn6yxWtCV+y4Ok2WF4Bz5Xq/xAZIy
7jL30hh5UMer3t/ER41/FxPlDHLQZzcY8povAFGgsK4M/odUvPDjLpI3J9mgh8w4
0xsS1bXhzN695iwvKxdmLHPJBo7WnzJ+ca4XA+e+w7HMMIRja7S6ORQ4bb2AlzdY
0NxQvCi9vxE5GUqqd6uOJl2TKZSME1uTX5DHXp+w49Ac9flXlmTqNkObJRxltEpz
+ktvdGC5Evu9ngjsAIBFUqw+y2soiE9JQMOLnkoL0wbPbvTLWd9KWKy+H0T0ofFq
iOsa8aCKsxy/Iv/urcG3Z02DgRrhD3t8WhtvRqxivXeFETG5tCvGtDmhUWqXKKtA
GXDvrJMIxeCPn3bqSCxpZIvFoPBrJLdoW1rbKsJNXLYkVwbZyJIPpmJXacMtLIEZ
CUgX0+XdsXt0gdWy1hl9SbLB1LPD9IfV4uF/SE6EmYWLYP+1HmZYdUN2wfsJr/TU
C8jTZ23/wtjTNyxHzw7/
=TDxS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jan 2014 07:32:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:19:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.